Converter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.web.converters
[Java] Interface Converter

    public interface Converter

Defines an Object that can convert an instance and render it to the response or a supplied writer.

Authors:
  Siegfried Puchbauer

Nested Class Summary
`enum` | `Converter.CircularReferenceBehaviour`

Field Summary
`java.lang.String` | `DEFAULT_REQUEST_ENCODING`

Method Summary
`void` | `build(groovy.lang.Closure c)`
`void` | `convertAnother(java.lang.Object o)`
`W` | `getWriter()`
`ObjectMarshaller` | `lookupObjectMarshaller(java.lang.Object target)`
`void` | `render(java.io.Writer out)` Marshalls the target and writes it to a java.io.Writer
`void` | `render(javax.servlet.http.HttpServletResponse response)` Marshalls the target and writes it a HttpServletResponse The response will be comitted after this operation

Field Detail

### DEFAULT_REQUEST_ENCODING

    public java.lang.String DEFAULT_REQUEST_ENCODING

Method Detail

### build

    public void build(@java.lang.SuppressWarnings("rawtypes") groovy.lang.Closure c)

### convertAnother

    public void convertAnother(java.lang.Object o)

### getWriter

    public W getWriter()

### lookupObjectMarshaller

    @java.lang.SuppressWarnings("rawtypes")
    public ObjectMarshaller lookupObjectMarshaller(java.lang.Object target)

### render

    public void render(java.io.Writer out)

  Marshalls the target and writes it to a java.io.Writer
  throws:
    ConverterException
  Parameters:
    `out` - The Writer to write to

### render

    public void render(javax.servlet.http.HttpServletResponse response)

  Marshalls the target and writes it a HttpServletResponse The response will be comitted after this operation
  throws:
    ConverterException
  Parameters:
    `response` - The response to write to

Groovy Documentation